Package com.macrofocus.high_d.table.swing

# Class TableColumnAdjuster

java.lang.Object
com.macrofocus.high_d.table.swing.TableColumnAdjuster

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `TableModelListener`

public class TableColumnAdjuster extends Object implements PropertyChangeListener, TableModelListener

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableColumnAdjuster(JTable table)`
  `TableColumnAdjuster(JTable table, int spacing)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `adjustColumn(int column)`
  `void`
  `adjustColumns()`
  `void`
  `propertyChange(PropertyChangeEvent e)`
  `void`
  `restoreColumns()`
  `void`
  `setColumnDataIncluded(boolean isColumnDataIncluded)`
  `void`
  `setColumnHeaderIncluded(boolean isColumnHeaderIncluded)`
  `void`
  `setDynamicAdjustment(boolean isDynamicAdjustment)`
  `void`
  `setOnlyAdjustLarger(boolean isOnlyAdjustLarger)`
  `void`
  `tableChanged(TableModelEvent e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TableColumnAdjuster

    public TableColumnAdjuster(JTable table)

  - ### TableColumnAdjuster

    public TableColumnAdjuster(JTable table, int spacing)

- ## Method Details

  - ### adjustColumns

    public void adjustColumns()

  - ### adjustColumn

    public void adjustColumn(int column)

  - ### restoreColumns

    public void restoreColumns()

  - ### setColumnHeaderIncluded

    public void setColumnHeaderIncluded(boolean isColumnHeaderIncluded)

  - ### setColumnDataIncluded

    public void setColumnDataIncluded(boolean isColumnDataIncluded)

  - ### setOnlyAdjustLarger

    public void setOnlyAdjustLarger(boolean isOnlyAdjustLarger)

  - ### setDynamicAdjustment

    public void setDynamicAdjustment(boolean isDynamicAdjustment)

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent e)
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`

  - ### tableChanged

    public void tableChanged(TableModelEvent e)
    Specified by:
      `tableChanged` in interface `TableModelListener`